Show / Hide Table of Contents

# Struct EfficiencyCalculation

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct EfficiencyCalculation

### Fields

| Improve this Doc View Source

#### ActionId

##### Declaration

    public uint ActionId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ProgressEfficiency

##### Declaration

    public uint ProgressEfficiency

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ProgressIncrease

##### Declaration

    public uint ProgressIncrease

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### QualityEfficiencyPercentage

##### Declaration

    public uint QualityEfficiencyPercentage

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### QualityIncrease

##### Declaration

    public uint QualityIncrease

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Status

##### Declaration

    public ActionStatus Status

##### Field Value

Type | Description
--- | ---
ActionStatus |